Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 232415

Summary: SIGSEGV in /sbin/restore
Product: [Fedora] Fedora Reporter: kloczek
Component: dumpAssignee: Adam Tkac <atkac>
Status: CLOSED WONTFIX QA Contact: Ben Levenson <benl>
Severity: medium Docs Contact:
Priority: medium    
Version: 6CC: ovasik, pep, stelian, triage
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard: bzcl34nup
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-05-06 19:21:21 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description kloczek 2007-03-15 12:53:24 UTC
# gdb /sbin/restore
GNU gdb Red Hat Linux (6.5-15.fc6rh)
Copyright (C) 2006 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu"...Using host libthread_db
library "/lib64/libthread_db.so.1".

(gdb) set args -i -f boss-var-03-13-07
(gdb) r
Starting program: /sbin/restore -i -f boss-var-03-13-07
warning: shared library handler failed to enable breakpoint
Dump tape is compressed.
/sbin/restore > add *
/sbin/restore > extract
You have not read any volumes yet.
Unless you know which volume your file(s) are on you should start
with the last volume and work towards the first.
Specify next volume # (none if no more volumes): 1

Program received signal SIGSEGV, Segmentation fault.
readxattr (buffer=0x7ffffc1aa6c0 "") at tape.c:1234
1234            if (curfile.dip->di_size > XATTR_MAXSIZE) {
(gdb) bt
#0  readxattr (buffer=0x7ffffc1aa6c0 "") at tape.c:1234
#1  0x000000000040a2ed in extractattr (path=0x7245d6
"./log/httpd/error_log_www2.zie.pg.gda.pl") at tape.c:1042
#2  0x000000000040a4b7 in extractfile (ep=0x0, doremove=<value optimized out>)
at tape.c:1010
#3  0x0000000000405b35 in createfiles () at restore.c:1063
#4  0x0000000000402da9 in runcmdshell () at interactive.c:217
#5  0x0000000000404c61 in main (argc=1, argv=0x7ffffc1b6d60) at main.c:491
#6  0x00000000004472f0 in __libc_start_main ()
#7  0x00000000004001b9 in _start ()
(gdb)

Comment 1 Adam Tkac 2007-03-27 11:19:40 UTC
Could you tell me if you're able restore uncompressed backup, please? (And if
this could be dupe of bug #233325)

Regards, -A-

Comment 2 Stelian Pop 2007-03-27 11:42:43 UTC
This is not a dupe of #233325 which dealt with remote compressed files, while
here we have a bug with local files.

It is probably related to the extended attributes.

Are you able to reproduce this behaviour on a small data set (dumping a
directory containing only a few files) and give me access to the dump ?

Alternatively, if your boss-var-03-13-07 is not huge and does not contain
sensitive data, can you give me access to that ?


Comment 3 Bug Zapper 2008-04-04 06:32:12 UTC
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers

Comment 4 Bug Zapper 2008-05-06 19:21:20 UTC
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.